# Class UserParameterXMLContentHandler

java.lang.Object
org.apache.jmeter.protocol.http.modifier.UserParameterXMLContentHandler

All Implemented Interfaces:
  `ContentHandler`

public class UserParameterXMLContentHandler extends Object implements ContentHandler
The handler used to read in XML parameter data.

Version:
  $Revision: 1413957 $

## Constructor Summary

Constructors
Constructor
Description
`UserParameterXMLContentHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
`void`
`endDocument()`
`void`
`endElement(String namespaceURI, String localName, String qName)`
`void`
`endPrefixMapping(String prefix)`
`List<Map<String,String>>`
`getParsedParameters()`
results of parsing all user parameter data defined in XML file.
`void`
`ignorableWhitespace(char[] ch, int start, int length)`
`void`
`processingInstruction(String target, String date)`
`void`
`setDocumentLocator(Locator locator)`
`void`
`skippedEntity(String name)`
`void`
`startDocument()`
`void`
`startElement(String namespaceURL, String localName, String qName, Attributes atts)`
`void`
`startPrefixMapping(String prefix, String uri)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ContentHandler

`declaration`

## Constructor Details

### UserParameterXMLContentHandler

public UserParameterXMLContentHandler()

## Method Details

### setDocumentLocator

public void setDocumentLocator(Locator locator)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

### startDocument

public void startDocument() throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Throws:
  `SAXException`

### endDocument

public void endDocument() throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Throws:
  `SAXException`

### startPrefixMapping

public void startPrefixMapping(String prefix, String uri) throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### endPrefixMapping

public void endPrefixMapping(String prefix) throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Throws:
  `SAXException`

### startElement

public void startElement(String namespaceURL, String localName, String qName, Attributes atts) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Throws:
  `SAXException`

### endElement

public void endElement(String namespaceURI, String localName, String qName) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Throws:
  `SAXException`

### characters

public void characters(char[] ch, int start, int length) throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Throws:
  `SAXException`

### ignorableWhitespace

public void ignorableWhitespace(char[] ch, int start, int length) throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Throws:
  `SAXException`

### processingInstruction

public void processingInstruction(String target, String date) throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Throws:
  `SAXException`

### skippedEntity

public void skippedEntity(String name) throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Throws:
  `SAXException`

### getParsedParameters

public List<Map<String,String>> getParsedParameters()
results of parsing all user parameter data defined in XML file.

Returns:
  all users name value pairs obtained from XML file